"""setup.py for ieg library"""

from setuptools import find_packages, setup

with open(file="README.md", encoding="utf-8") as f:
    long_description: str = f.read()

setup(
    name="ieg",
    version="0.1.0",
    packages=find_packages(),
    install_requires=["boto3", "backoff", "pytest", "requests", "yaml", "re","subprocess", "Optional"],
    # Additional metadata about your package
    author="Amagi IEG team",
    author_email="ieg@amagi.com",
    description="library to interact with various services used by ieg team",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/amagimedia/ieg-gitops-automation/ieg_lib_project",
    classifiers=[
        # Classifiers help users find your project
        # Full list: https://pypi.org/classifiers/
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
    ],
)
